Get Llms
curl --request GET \
--url https://api.example.com/v1/models/llms \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.example.com/v1/models/llms"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.example.com/v1/models/llms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"name": "<string>",
"title": "<string>",
"model_type": "<string>",
"properties": {
"speed": 123,
"quality": 123,
"max_input_tokens": 123,
"max_output_tokens": 123,
"is_multimodal": false
},
"slug": "<string>",
"description": "<string>",
"model_category": "<string>",
"image": "<string>",
"config": {},
"provider": "<string>",
"provider_id": "<string>",
"provider_image": "<string>",
"providers": [],
"host": "<string>",
"location": "<string>",
"price": "<string>",
"release_date": "2023-11-07T05:31:56Z",
"data_cutoff_date": "2023-11-07T05:31:56Z",
"privacy_level": "<string>",
"visible": true,
"is_available": true,
"capabilities": [],
"is_active": true,
"provider_is_active": true,
"has_link": false,
"is_valid": true,
"is_healthy": true,
"lifecycle_state": "healthy",
"last_error": "<string>",
"consecutive_failures": 0,
"last_checked_at": "2023-11-07T05:31:56Z"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Platform
Get Llms
GET
/
v1
/
models
/
llms
Get Llms
Authorizations
Query Parameters
Response
Successful Response
- LLMModelProperties
- ModelProperties
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
streaming, function_calling, parallel_function_calling, vision, system_prompt, tools, json_mode, structured_output, reasoning, web_search, audio_in, audio_out, video_in, video_out, image_generation, document_input, spreadsheet_input